Access
All operations require authentication.
List xDSL accessesProduction
Returns the names of the xDSL accesses of the account. Each name is the serviceName used by the other xDSL calls.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an xDSL accessProduction
Returns the access type, address, status, provider, NRA, pack name, IPv6 and mail sending status, monitoring, LNS rate limit, mean time to repair and capabilities.
Path parameters
Service name
Response
Possible copper or fiber technologies
adslftteftthfttosdslvdslAll components of an address
Describe the capabilities of the Access
IAM resource metadata
Rate limit on the LNS in kbps - Only available if canApplyLnsRateLimit capability is set to true - Must be a multiple of 64 - Min value 64 / Max value 100032
Status of mail sending on the Access
blockedForSpamdisabledenabledGet modem profile connection linked to the access
ABCDWhether or not this access is monitored
Get the Mean Time To Repair (MTTR) of the access
10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1nonePack name, if access is in a pack
The provider
axionebouyguesftftBySfrkosckoscDegovhsfrThe provider of the infrastructure, if applicable
Available access roles
backupmainStatus of the access
activecancelledclosedeletingdoingmigrationslammingterminatedupgradeOfferExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "accessName": "string", "accessType": "adsl", "address": { "building": "string", "city": "string", "door": "string", "firstName": "string", "floor": "string", "inseeCode": "string", "lastName": "string", "numberStreet": "string", "residence": "string", "rivoliCode": "string", "stairs": "string", "street": "string", "zipCode": "string" }, "capabilities": { "canApplyLnsRateLimit": true, "canChangeDslamProfile": true, "canChangeLns": true, "canGetRadiusConnectionLogs": true, "canResetDslamPort": true, "hasDslamPort": true }, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv6Enabled": true, "lnsRateLimit": 0, "mailSending": "blockedForSpam", "modemProfile": "A", "monitoring": true, "mttr": "10ho", "nra": "string", "packName": "string", "pairsNumber": 0, "provider": "axione", "providerInfra": "string", "role": "backup", "status": "active"}
Update an xDSL accessProduction
Changes the settings that can be modified: the customer description, the monitoring and the LNS rate limit.
Path parameters
Service name
Request body (required)
Possible copper or fiber technologies
adslftteftthfttosdslvdslAll components of an address
Describe the capabilities of the Access
Rate limit on the LNS in kbps - Only available if canApplyLnsRateLimit capability is set to true - Must be a multiple of 64 - Min value 64 / Max value 100032
Status of mail sending on the Access
blockedForSpamdisabledenabledGet modem profile connection linked to the access
ABCDWhether or not this access is monitored
Get the Mean Time To Repair (MTTR) of the access
10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1nonePack name, if access is in a pack
The provider
axionebouyguesftftBySfrkosckoscDegovhsfrThe provider of the infrastructure, if applicable
Available access roles
backupmainStatus of the access
activecancelledclosedeletingdoingmigrationslammingterminatedupgradeOfferResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"